## org.codehaus.groovy.antlr
Class LexerFrame

author:
  Santhosh Kumar T

version:
  1.0

Field Summary
`Border` | `border1`
`Border` | `border2`
`JScrollPane` | `jScrollPane1`
`JScrollPane` | `jScrollPane2`
`JSplitPane` | `jSplitPane1`
`JButton` | `jbutton`
`Class` | `lexerClass`
`Action` | `loadFileAction`
`JPanel` | `mainPanel`
`JTextArea` | `scriptPane`
`JTextPane` | `tokenPane`
`Hashtable` | `tokens`

Constructor Summary
`LexerFrame(Class lexerClass, Class tokenTypesClass)`

Method Summary
`void` | `actionPerformed(ActionEvent ae)`
`void` | `insertComponent(JComponent comp)`
`void` | `jbInit()`
`void` | `listTokens(Class tokenTypes)`
`static void` | `main(def args)`
`void` | `scanScript(File file)`

Constructor Detail

### LexerFrame

    public LexerFrame(Class lexerClass, Class tokenTypesClass)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent ae)

### insertComponent

    void insertComponent(JComponent comp)

### jbInit

    void jbInit()

### listTokens

    void listTokens(Class tokenTypes)

### main

    public static void main(def args)

### scanScript

    void scanScript(File file)